"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ck_lib_1 = require("@ckstack/ck-lib");
class CkCronTask {
    constructor() {
        this.TASK_STATE = { running: false, lastRunningTm: 0 };
    }
    init() {
        this.TASK_STATE.running = false;
    }
    isRunning() {
        return this.TASK_STATE.running;
    }
    setRunning(lhd) {
        this.TASK_STATE.running = true;
        this.TASK_STATE.lastRunningTm = Date.now();
        ck_lib_1.CkLogger.infoLog2('start task', lhd);
    }
    taskEnd(lhd) {
        this.TASK_STATE.running = false;
        ck_lib_1.CkLogger.infoLog2('end task', lhd);
    }
}
exports.default = CkCronTask;
